<?php $req = $this->request(); 

$id = $req->id;
$escort_id = $req->escort_id;
$start_date = $req->start_date;
$end_date = $req->end_date;
$incall = $req->incall;
$outcall = $req->outcall;

?>

<div class="body" style="width: 100%">
	<form id="instant-book-form"  method="post">
		<div class="block">
			<div class="row">
				<div class="label"><?= __('instant_book_from'); ?></div>

                <div class="fleft" style="margin-top: -5px">
                    <select name='hour_min' data-start="<?= $start_date; ?>" data-end="<?= $end_date; ?>">
                    </select>
                </div>
				<div class="clear"></div>
			</div>
		
			<div class="row">
				<div class="label"><?= __('instant_book_location'); ?></div>
				
				<?php if ($incall): ?>
				<div class="location-string">Incall</div>
				<?php elseif($outcall): ?>
				<div class="location-string">Outcall</div>
				<?php endif; ?>

				<?php if ($incall && $outcall): ?>
				<div class="location-ref"></div>	
				<?php endif; ?>
				<input id="inst-location" type="hidden" name="loacation" value="<?= $incall ? 'incall': 'outcall'; ?>">
				<div class="clear"></div>
			</div>
		</div>
		<div class="clear"></div>
		<div class="block" style="width: 100%; padding-left: 0">
			<div class="row">
				<div class="label"><?= __('instant_book_duration'); ?></div>
				<div class="fleft">
					<span class="numeric-arrows left-arr"></span>
					<span id="inst-duration-text" class="numeric" >1</span>
					<span class="numeric-arrows right-arr"></span>
					<input id="inst-duration" type="hidden" name="duration" value="1">
				</div>
				<div class="clear"></div>
			</div>
			<?php if ($outcall): ?>
			<div class="row">
				<div class="input-wrapper" style="display: <?= !$incall ? 'block' : 'none'?>">
					<input type="text" id="inst-outcall-address" name="outcall" placeholder="Outcall Address">
				</div>	
			</div>
			<?php endif; ?>
		</div>
		
		<div class="clear"></div>

		<div class="row">
			<div class="input-wrapper">
				<input type="text" name="special_request" placeholder="<?= __('instant_book_placeholder_special_request'); ?>">
			</div>	
		</div>

		<div class="clear"></div>

		<div class="block">
			<div class="input-wrapper" style="margin-bottom: 20px">
				<input type="text" name="phone" placeholder="<?= __('instant_book_placeholder_your_phone'); ?>">
			</div>
			<div class="block">
				<div class="custom-checkbox">
					<input type="checkbox" name="contact_type" value='viber' id="inst-viber"/>
					<label for="inst-viber">Viber</label>
				</div>	
				<div class="custom-checkbox">	
					<input type="checkbox" name="contact_type" value='whatsapp'  id="inst-whatsapp" />
					<label for="inst-whatsapp">Whatsapp</label>
				</div>	

				<div class="clear"></div>
				
				<div class="custom-checkbox">	
					<input type="checkbox" name="contact_type" value='sms' id="inst-sms"/>
					<label for="inst-sms">SMS</label>
				</div>	
				<div class="custom-checkbox">	
					<input type="checkbox" name="contact_type" value='phone_call' id="inst-phone-call"/>
					<label for="inst-phone-call"><?= __('instant_book_phone_call'); ?></label>
				</div>
			</div>	
		</div>
		
		<div class="block mt20">
			<div class="label">
				<?// $this->t('answers in ') ?> <?= __('instant_book_answer_in'); ?>
			</div>
			<div>
				<select name="wait_time">
					<option value="5">5 min</option>
					<option value="10">10 min</option>
					<option value="15">15 min</option>
				</select>
			</div>	
		</div>
		
		<div class="clear"></div>
		
		<div class="errors"></div><div class="clear"></div>

		<div class='instant-book-btn-wrapper'>
			<div class="instant-book-btn-wrapper-inner">
				<input type="submit" class='instant-book-btn' value='Instant Book' />
			</div>
		</div>

	</form>
	<div class="clear"></div>
	<div id="countdown" class="none">
		<div class="countdown__text">
			<p>
				<?= __('instant_book_booking_request_success'); ?>
			</p>
			<p>
                <?= __('instant_book_she_has_to_answer_in'); ?>
			</p>
			<div id="countDownTimer" style="color: #1a5cbf; font-size: 38px; margin: 20px 0;"></div>
		</div>
	</div>	
</div>